Subject: Re: bug#20034: 25.0.50; [PATCH] gud never displays a source buffer over the gud window

From: Dima Kogan <[email-masked]>
Date: Mon, 09 Mar 2015 09:01:16 -0700

In the last email I attached the older patch by mistake. Correct patch
attached this time. It fixes this, 17675 and 19901 I believe.

martin rudalics <[email-masked]> writes:

> Maybe people who reported problems with their gud-/gdb interface could
> try whether the patch fixes them.

I sent requests to the tracker of 17675 and 19901

>From ed24aed33bd27ddd66b7288fb3999eaa619a0c27 Mon Sep 17 00:00:00 2001
From: Dima Kogan <[email-masked]>
Date: Sat, 7 Mar 2015 17:37:20 -0800
Subject: [PATCH] gud never displays a source buffer over the gud window

---
 lisp/progmodes/gud.el | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/lisp/progmodes/gud.el b/lisp/progmodes/gud.el
index a12bdd9..ea6f53c 100644
--- a/lisp/progmodes/gud.el
+++ b/lisp/progmodes/gud.el
@@ -2813,8 +2813,8 @@ Obeying it means displaying in another window the specified file and line."
 	    (gud-find-file true-file)))
 	 (window (and buffer
 		      (or (get-buffer-window buffer)
-			  (display-buffer buffer))))
-	 (pos))
+			  (display-buffer buffer '(display-buffer-use-some-window (inhibit-same-window . t))))))
+         (pos))
     (when buffer
       (with-current-buffer buffer
 	(unless (or (verify-visited-file-modtime buffer) gud-keep-buffer)
-- 
2.1.4